# Poco::Data

# class AbstractTypeHandler

Library: Data
Package: DataCore
Header: Poco/Data/TypeHandler.h

## Description

Parent class for type handlers. The reason for this class is to prevent instantiations of type handlers. For documentation on type handlers, see TypeHandler class.

## Inheritance

Known Derived Classes: TypeHandler

## Member Summary

Member Functions: operator =

## Constructors

### AbstractTypeHandler

AbstractTypeHandler();

### AbstractTypeHandler

AbstractTypeHandler(
const AbstractTypeHandler & param98
);

## Destructor

### ~AbstractTypeHandler

~AbstractTypeHandler();

## Member Functions

### operator =

AbstractTypeHandler & operator = (
const AbstractTypeHandler & param99
);